%global __python3 /usr/bin/python3.11
%global python3_pkgversion 3.11

# NOTE: tests are disabled since should_be has not yet been packaged.

Name:           python%{python3_pkgversion}-gssapi
Version:        1.7.3
Release:        1%{?dist}
Summary:        Python Bindings for GSSAPI (RFC 2743/2744 and extensions)

License:        ISC
URL:            https://github.com/pythongssapi/python-gssapi
Source0:        https://github.com/pythongssapi/%{name}/releases/download/v%{version}/python-gssapi-%{version}.tar.gz
# https://github.com/pythongssapi/python-gssapi/pull/321
Patch0:         cython3.patch

BuildRequires:  krb5-devel >= 1.19
BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-Cython

# For autosetup
BuildRequires: git-core

%global _description\
A set of Python bindings to the GSSAPI C library providing both\
a high-level pythonic interfaces and a low-level interfaces\
which more closely matches RFC 2743.  Includes support for\
RFC 2743, as well as multiple extensions.

%description %_description

%prep
%autosetup -S git -n python-gssapi-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files gssapi

%check
# Check import everything except the tests, as we don't have the tests deps
%pyproject_check_import -e 'gssapi.tests*'

%files -n python%{python3_pkgversion}-gssapi -f %{pyproject_files}
%doc README.txt

%changelog
* Fri Oct 20 2023 Ken Dreyer <kdreyer@ibm.com> - 1.7.3-1
- Initial package
- Fedora contributions by:
      Simo Sorce <simo@redhat.com>
      Miro Hrončok <mhroncok@redhat.com>
      Robbie Harwood <rharwood@redhat.com>
      Iryna Shcherbina <ishcherb@redhat.com>
      Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
      Robert Kuska <rkuska@redhat.com>
      Solly Ross <sross@redhat.com>
